import React from 'react'

const PrivacyPolicyView = () => {
  return (
    <div>
      <h1>Privacy Policy</h1>
      <p>
        Favoro LLC ("we," "us," or "our") operates the Donetick application and
        website (collectively, the "Service"). This Privacy Policy informs you
        of our policies regarding the collection, use, and disclosure of
        personal data when you use our Service and the choices you have
        associated with that data.
      </p>
      <h2>Information We Collect</h2>
      <p>
        <strong>Personal Data:</strong> When you register for an account or use
        the Service, we may collect certain personally identifiable information,
        such as your name and email address.
      </p>
      <p>
        <strong>Usage Data:</strong> We collect information on how you use the
        Service, such as your IP address, browser type, pages visited, and the
        time and date of your visit.
      </p>
      <p>
        <strong>Task Data:</strong> We store the tasks and chores you create
        within the app, including their details and any assigned users.
      </p>
      <h2>How We Use Your Information</h2>
      <p>
        <strong>Provide and Maintain the Service:</strong> We use your
        information to operate, maintain, and improve the Service.
      </p>
      <p>
        <strong>Communicate with You:</strong> We may use your email address to
        send you notifications, updates, and promotional materials related to
        the Service.
      </p>
      <p>
        <strong>Analyze Usage:</strong> We analyze usage data to understand how
        the Service is used and to make improvements.
      </p>
      <h2>How We Share Your Information</h2>
      <p>
        <strong>With Your Consent:</strong> We will not share your personal data
        with third parties without your consent, except as described in this
        Privacy Policy.
      </p>
      <p>
        <strong>Service Providers:</strong> We may engage third-party companies
        or individuals to perform services on our behalf (e.g., hosting,
        analytics). These third parties have access to your personal data only
        to perform these tasks and are obligated not to disclose or use it for
        any other purpose.
      </p>
      <p>
        <strong>Compliance with Law:</strong> We may disclose your personal data
        if required to do so by law or in response to valid requests by public
        authorities (e.g., a court or government agency).
      </p>
      <h2>Security</h2>
      <p>
        We value your privacy and have implemented reasonable security measures
        to protect your personal data from unauthorized access, disclosure,
        alteration, or destruction. However, no method of transmission over the
        Internet or electronic storage is 100% secure, and we cannot guarantee
        absolute security.
      </p>
      <h2>Your Choices</h2>
      <p>
        <strong>Account Information:</strong> You can update or correct your
        account information at any time.
      </p>
      <p>
        <strong>Marketing Communications:</strong> You can opt out of receiving
        promotional emails by following the unsubscribe instructions included in
        those emails.
      </p>
      <h2>Children's Privacy</h2>
      <p>
        Our Service is not intended for children under 13 years of age. We do
        not knowingly collect personal data from children under 13. If you are a
        parent or guardian and you are aware that your child has provided us
        with personal data, please contact us.
      </p>
      <h2>Changes to This Privacy Policy</h2>
      <p>
        We may update our Privacy Policy from time to time. We will notify you
        of any changes by posting the new Privacy Policy on this page and
        updating the "Effective Date" at the top of this Privacy Policy.
      </p>
      <h2>Contact Us</h2>
      <p>
        If you have any questions about this Privacy Policy, please contact us
        at:
      </p>
      <p>Favoro LLC</p>
    </div>
  )
}

export default PrivacyPolicyView
